com.sun.jna.platform.win32

## Class WinCrypt.CERT_REVOCATION_CRL_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_REVOCATION_CRL_INFO

- Direct Known Subclasses:
    WinCrypt.CERT_REVOCATION_CRL_INFO.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cbSize","pBaseCRLContext","pDeltaCRLContext","pCrlEntry","fDeltaCrlEntry"})
      public static class WinCrypt.CERT_REVOCATION_CRL_INFO
      extends Structure

  Contains information updated by a certificate revocation list (CRL) revocation type handler. The CERT_REVOCATION_CRL_INFO structure is used with both base and delta CRLs.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_REVOCATION_CRL_INFO.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize`
    `boolean` | `fDeltaCrlEntry`
    `WinCrypt.CRL_CONTEXT.ByReference` | `pBaseCRLContext`
    `WinCrypt.CRL_ENTRY.ByReference` | `pCrlEntry`
    `WinCrypt.CRL_CONTEXT.ByReference` | `pDeltaCRLContext`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_REVOCATION_CRL_INFO()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### pBaseCRLContext

          public WinCrypt.CRL_CONTEXT.ByReference pBaseCRLContext

    - #### pDeltaCRLContext

          public WinCrypt.CRL_CONTEXT.ByReference pDeltaCRLContext

    - #### pCrlEntry

          public WinCrypt.CRL_ENTRY.ByReference pCrlEntry

    - #### fDeltaCrlEntry

          public boolean fDeltaCrlEntry

  - ### Constructor Detail

    - #### CERT_REVOCATION_CRL_INFO

          public CERT_REVOCATION_CRL_INFO()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.